al_color_lch(3)

NAME

al_color_lch - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    ALLEGRO_COLOR al_color_lch(float l, float c, float h)

DESCRIPTION

Return an ALLEGRO_COLOR(3) structure from CIE LCH values. LCH colors are very similar to HSL, with the same meaning of L and H and C corresponding to S. However LCH is more visually uniform. Furthermore, this function expects the angle for H in radians and not in degree.

The CIE LCH color space is a cylindrical representation of the L*a*b* color space. The L component is the same and C and H are computed like this:

    C = sqrt(a * a + b * b)
    H = atan2(b, a)

SINCE

5.2.3

SEE ALSO

al_color_lch_to_rgb(3), al_color_rgb_to_lch(3)